Bug 1348000 - glibc: tst-malloc-usable spurious test failure
Summary: glibc: tst-malloc-usable spurious test failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: DJ Delorie
QA Contact: qe-baseos-tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 1473718
TreeView+ depends on / blocked
 
Reported: 2016-06-19 20:56 UTC by Florian Weimer
Modified: 2018-04-10 13:57 UTC (History)
8 users (show)

Fixed In Version: glibc-2.17-197.el7
Doc Type: No Doc Update
Doc Text:
undefined
Clone Of:
Environment:
Last Closed: 2018-04-10 13:56:38 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0805 None None None 2018-04-10 13:57:56 UTC
Sourceware 17581 'P2' 'RESOLVED' 'malloc_usable_size: expected 7 but got 11' 2019-11-26 07:41:39 UTC

Description Florian Weimer 2016-06-19 20:56:10 UTC
Occasionally, the test fails.  We need to backport this upstream change:

commit 265cbed8e73b23e3b38ada6cc42482c53a216224
Author: James Lemke <jwlemke@codesourcery.com>
Date:   Tue May 19 12:10:26 2015 -0700

    Fix for test "malloc_usable_size: expected 7 but got 11"
    
    [BZ #17581] The checking chain of unused chunks was terminated by a hash of
        the block pointer, which was sometimes confused with the chunk length byte.
        We now avoid using a length byte equal to the magic byte.


(NB: A first fix was reverted.)

Comment 8 errata-xmlrpc 2018-04-10 13:56:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0805


Note You need to log in before you can comment on or make changes to this bug.